%define _altdata_dir %_datadir/alterator

Name: alterator-openldap
Version: 0.1
Release: alt1.M40.3

Packager: Grigory Batalov <bga@altlinux.org>
BuildArch: noarch

Source:%name-%version.tar

Summary: alterator module for OpenLDAP server
License: GPL
Group: System/Configuration/Other
Requires: alterator >= 2.9 gettext
Requires: cl-user-tools libshell openldap-servers
Conflicts: alterator-fbi < 0.15-alt2

BuildPreReq: alterator >= 3.1, alterator-fbi >= 0.7-alt1

# Automatically added by buildreq on Mon Jul 11 2005 (-bi)
BuildRequires: alterator

%description
alterator module for OpenLDAP server

%prep
%setup -q

%build
%make_build libdir=%_libdir

%install
%makeinstall HTMLROOT=%buildroot%_var/www/
%find_lang %name

%post
[ -f /etc/openldap/slapd-hdb-db01.conf -a ! -f /etc/openldap/slapd-hdb-sample.cnf ] && \
	cp -f /etc/openldap/slapd-hdb-db01.conf /etc/openldap/slapd-hdb-sample.cnf && \
	cat << EOF >> /etc/openldap/slapd-hdb-sample.cnf ||:
# grant anonymous access to the People and Group containers
access to dn.regex="^([^,]+,)?ou=People,(dc=[^,]+(,dc=[^,]+)*)$"
	by anonymous read
access to dn.regex="^([^,]+,)?ou=Group,(dc=[^,]+(,dc=[^,]+)*)$"
	by anonymous read
EOF

%files -f %name.lang
%_var/www/html/*
%_datadir/alterator/applications/*
#%_datadir/alterator/ui/*
#%_datadir/alterator/help/*/*
%_alterator_backend3dir/*

%changelog
* Tue May 06 2008 Grigory Batalov <bga@altlinux.ru> 0.1-alt1.M40.3
- Simplify base DN dc:/o: split.

* Fri Apr 18 2008 Grigory Batalov <bga@altlinux.ru> 0.1-alt1.M40.2
- Grant anonymous access in default base config. 

* Fri Apr 11 2008 Grigory Batalov <bga@altlinux.ru> 0.1-alt1.M40.1
- Change base suffix description to "Base DN".
- Add host and port settings.

* Wed Mar 19 2008 Grigory Batalov <bga@altlinux.ru> 0.1-alt1
- Initial release.
